{ description = "generate a index of gemtext files";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = { self, nixpkgs, flake-utils }:
    flake-utils.lib.eachDefaultSystem (system:
      let
        pkgs = nixpkgs.legacyPackages.${system};

        compiler = "ghc94";
      in {
        packages.default = pkgs.haskell.packages.${compiler}.callPackage ./package.nix { };
      });
}
